Skip to main content

Bulk Consumer Credit Reporting

Share Bulk Consumer data (HTTP POST) to the DLN​


POST https://dev.creditchek.africa/v1/dln/data/consumer/submit-bulk

This is similar to the single consumer data endpoint; this works if your reporting process is periodical or at the initial stage after getting onboarded on the network and there’s a need to share already existing data with the network.

Request Parameters​

NamePositionRequiredDescription
tokenHeadersTrueapp secret key
BVNBodyTrueborrower BVN
customerIdBodyTrueborrower customerId
lastNameBodyTrueborrower last name
firstNameBodyTrueborrower first name
addressLine1BodyTrueborrower address line 1
addressLine2BodyFalseborrower address line 2
cityBodyTrueborrower city
stateBodyTrueborrower state
countryBodyTrueborrower country
maritalStatusBodyTrueborrower marital status
employmentStatusBodyTrueborrower employment status
occupationBodyTrueborrower occupation
businessSectorBodyTrueborrower business sector
NINBodyFalseborrower NIN
dateOfBirthBodyTrueborrower date of birth
addressBodyTrueborrower address
phoneNumberBodyTrueborrower phone number
emailBodyTrueborrower email
genderBodyTrueborrower gender
dateOpenedBodyTruedate opened
loanAmountBodyTrueloan amount
outstandingBalanceBodyTrueoutstanding balance
overdueAmountBodyTrueoverdue amount
daysInArrearsBodyTruedays in arrears
lastPaymentAmountBodyTruelast payment amount
maturityDateBodyTruematurity date
minimumInstallmentBodyTrueminimum installment
nextDueDateBodyFalsenext due date
loanDurationBodyTrueloan duration
lastPaymentDateBodyTruelast payment date
purposeBodyFalseloan purpose
collateralBodyTruecollateral
collateralTypeBodyFalsecollateral type
collateralDetailsBodyFalsecollateral details
repaymentFrequencyBodyTruerepayment frequency
accountDescriptionBodyFalseaccount description
currencyBodyFalsecurrency
accountNameBodyTrueaccount name
accountTypeBodyTrueaccount type
accountStatusBodyTrueaccount status
accountNumberBodyTrueaccount number
accountStatusDateBodyTrueaccount status date
nationalityBodyTrueborrower nationality
legalChallengeStatusBodyTruelegal challenge status
consentStatusBodyTrueconsent status
guarantorBodyTrueguarantor
guarantorTypeBodyConditionalguarantor type
guarantorDOBorDateOfIncorporationBodyConditionalguarantor date of birth or date of incorporation
guarantorFirstNameBodyConditionalguarantor first name
guarantorLastNameBodyConditionalguarantor last name
guarantorGenderBodyConditionalguarantor gender
guarantorPhoneNumberBodyConditionalguarantor phone number
guarantorAddressLine1BodyConditionalguarantor address line 1
guarantorCityBodyConditionalguarantor city
guarantorStateBodyConditionalguarantor state
guarantorCountryBodyConditionalguarantor country
guarantorBVNBodyConditionalguarantor BVN
Example Request
curl --location 'https://dev.creditchek.africa/v1/dln/data/consumer/submit-bulk' \
--header 'token: JWR6t1qp8UcHrGVFyTPhrIWyayH+8eUQFSDkLih6lA2KXGo4CzGUx/zqPc8uhksb' \
--data-raw '{
"data": [
{
"BVN": "11111111111",
"customerId": "62f1d3863518a3e04bbc6aaf",
"lastName": "Sample",
"firstName": "Test",
"dateOfBirth": "07/11/1998",
"addressLine1": "35 Adeola odeku",
"addressLine2": "off Idejo",
"city": "Ikeja",
"state": "Lagos",
"country": "Nigeria",
"maritalStatus": "single",
"employmentStatus": "employed",
"occupation": "student",
"businessSector": "Education",
"phoneNumber": "08023151310",
"email": "[email protected]",
"gender": "Male",
"accountNumber": "0128456407",
"accountName": "Isaac John",
"accountStatusDate": "03/05/2022",
"dateOpened": "13/05/2022",
"loanAmount": 95150,
"lastPaymentDate": "22/06/2022",
"outstandingBalance": 20,
"overdueAmount": 2500,
"daysInArrears": 0,
"minimumInstallment": 19000,
"lastPaymentAmount": 450,
"collateral": "Yes",
"collateralType": "Cash",
"guarantor": "Yes",
"guarantorType": "individual",
"guarantorDOBorDateOfIncorporation": "12/07/2002",
"guarantorFirstName": "Guator",
"guarantorLastName": "Testor",
"guarantorGender": "male",
"guarantorPhoneNumber": "08173902223",
"guarantorAddressLine1": "34 Kalu street",
"guarantorCity": "Algiers",
"guarantorState": "Lagos",
"guarantorCountry": "Nigeria",
"guarantorBVN": "10923874652",
"nextDueDate": "13/12/2022",
"maturityDate": "30/06/2023",
"loanDuration": "6 months",
"purpose": "Tuition",
"repaymentFrequency": "monthly",
"accountDescription": "Creditchek user account",
"currency": "NGN",
"accountStatus": "Open",
"nationality": "Nigeria",
"legalChallengeStatus": "No",
"consentStatus": "Yes"
},
{
"BVN": "11111100000",
"customerId": "62f1d3863518a3e04bbc6ac0",
"lastName": "Sample",
"firstName": "Test",
"dateOfBirth": "07/11/1998",
"addressLine1": "35 Adeola odeku",
"addressLine2": "off Idejo",
"city": "Ikeja",
"state": "Lagos",
"country": "Nigeria",
"maritalStatus": "single",
"employmentStatus": "employed",
"occupation": "student",
"businessSector": "Education",
"phoneNumber": "08023151310",
"email": "[email protected]",
"gender": "Male",
"accountNumber": "0128456407",
"accountName": "Isaac John",
"accountStatusDate": "03/05/2022",
"dateOpened": "13/05/2022",
"loanAmount": 71150,
"lastPaymentDate": "22/06/2022",
"outstandingBalance": 20,
"overdueAmount": 2500,
"daysInArrears": 0,
"minimumInstallment": 19000,
"lastPaymentAmount": 450,
"collateral": "Yes",
"collateralType": "Cash",
"guarantor": "Yes",
"guarantorType": "individual",
"guarantorDOBorDateOfIncorporation": "12/07/2002",
"guarantorFirstName": "Guator",
"guarantorLastName": "Testor",
"guarantorGender": "male",
"guarantorPhoneNumber": "08173902223",
"guarantorAddressLine1": "34 Kalu street",
"guarantorCity": "Algiers",
"guarantorState": "Lagos",
"guarantorCountry": "Nigeria",
"guarantorBVN": "10923874652",
"nextDueDate": "13/12/2022",
"maturityDate": "30/06/2023",
"loanDuration": "6 months",
"purpose": "Tuition",
"repaymentFrequency": "monthly",
"accountDescription": "Creditchek user account",
"currency": "NGN",
"accountStatus": "Open",
"nationality": "Nigeria",
"legalChallengeStatus": "No",
"consentStatus": "Yes"
}
]
}'
---
Response
{
"status": true,
"data": {},
"message": "Bulk Data submitted successfully, count: 7",
"error": false
}